#version 400

uniform mat4 modelMatrix;
uniform mat4 lightViewMatrix;
uniform mat4 lightProjMatrix;
uniform mat4 projectionMatrix;

layout(location = 0) in vec3 position;

void main()
{
	gl_Position = lightProjMatrix * lightViewMatrix * modelMatrix * vec4(position, 1.0);
}